package com.benyun.project.third.byKingdeeConfig.mapper;

import java.util.List;
import com.benyun.project.third.byKingdeeConfig.domain.ByKingdeeConfig;

/**
 * 系统账户配置信息Mapper接口
 *
 * @author benyun
 * @date 2024-01-10
 */
public interface ByKingdeeConfigMapper
{
    /**
     * 查询系统账户配置信息
     *
     * @param id 系统账户配置信息主键
     * @return 系统账户配置信息
     */
    public ByKingdeeConfig selectByKingdeeConfigById(Long id);

    /**
     * 查询系统账户配置信息列表
     *
     * @param byKingdeeConfig 系统账户配置信息
     * @return 系统账户配置信息集合
     */
    public List<ByKingdeeConfig> selectByKingdeeConfigList(ByKingdeeConfig byKingdeeConfig);

    /**
     * 新增系统账户配置信息
     *
     * @param byKingdeeConfig 系统账户配置信息
     * @return 结果
     */
    public int insertByKingdeeConfig(ByKingdeeConfig byKingdeeConfig);

    /**
     * 修改系统账户配置信息
     *
     * @param byKingdeeConfig 系统账户配置信息
     * @return 结果
     */
    public int updateByKingdeeConfig(ByKingdeeConfig byKingdeeConfig);

    /**
     * 删除系统账户配置信息
     *
     * @param id 系统账户配置信息主键
     * @return 结果
     */
    public int deleteByKingdeeConfigById(Long id);

    /**
     * 批量删除系统账户配置信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteByKingdeeConfigByIds(String[] ids);

    List<ByKingdeeConfig> selectByKingdeeConfigListAll();

}
